MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028405Community[OCCT] OCCT:Visualizationpublic2017-01-29 23:072017-09-29 16:24
Reporterdipts 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028405: Visualization, V3d_Viewer - changes to Grid immediately updates view
DescriptionAll grid related functions of V3d_Viewer do redraw the views immediately. At the end of each function Update() is called - I think this call should respect the update mode setting? Alternatively, the grid functions should get a Parameter if the view shall be updated.

I saw this in the following functions:
ActivateGrid, DeactivateGrid, SetRectangularGridValues, SetCircularGridValues, SetRectangularGridGraphicValues, SetCircularGridGraphicValues
Steps To ReproduceCall any of the above mentioned functions.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028088closedkgv Open CASCADE Visualization, AIS_InteractiveContext - drop default value for Update Viewer parameter 
related to 0026958newkgv Community Visualization - Extend Grid visualization to fill the whole view automatically 

-  Notes
(0063443)
git (administrator)
2017-02-05 11:33

Branch CR28405 has been created by kgv.

SHA-1: 8542e6c22c1942d33d996e61390740df8c61d360


Detailed log of new commits:

Author: kgv
Date: Sun Feb 5 11:33:39 2017 +0300

    0028405: Visualization, V3d_Viewer - changes to Grid immediately updates view
    
    V3d_Viewer methods ActivateGrid, DeactivateGrid, SetRectangularGridValues, SetCircularGridValues,
    RectangularGridGraphicValues, CircularGridGraphicValues, SetPrivilegedPlane, DisplayPrivilegedPlane
    do not redraw viewer anymore.
(0063444)
kgv (developer)
2017-02-05 11:34

Patch is ready for review.
(0063845)
san (developer)
2017-02-16 15:48

Branch CR28405 reviewed without remarks, ready for testing.
(0063849)
git (administrator)
2017-02-16 16:12

Branch CR28405 has been updated forcibly by mkv.

SHA-1: c6697a1d00e3625e2db8893bc9cf4ffc4ffdcc63
(0063868)
mkv (tester)
2017-02-17 11:30

Dear BugMaster,
Branch CR28405 was rebased on current master of occt git-repository.
SHA-1: c6697a1d00e3625e2db8893bc9cf4ffc4ffdcc63
(0063869)
mkv (tester)
2017-02-17 11:30

Dear BugMaster,
Branch CR28405 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: c6697a1d00e3625e2db8893bc9cf4ffc4ffdcc63

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1183

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 93119399 / 93204317 [-0.09%]
Total CPU difference: 19859.280000000046 / 19801.470000000216 [+0.29%]
products component :
Total MEMORY difference: 30925663 / 31027507 [-0.33%]
Total CPU difference: 5458.509999999973 / 5509.529999999978 [-0.93%]

Testing on Windows:
occt component :
Total MEMORY difference: 57832376 / 57829936 [+0.00%]
Total CPU difference: 18468.11598459866 / 18793.846072598604 [-1.73%]
products component :
Total MEMORY difference: 22194871 / 22156738 [+0.17%]
Total CPU difference: 5511.140927599985 / 5447.523719799975 [+1.17%]

There are following differences in images found by testdiff.
(0063870)
mkv (tester)
2017-02-17 11:30

Dear BugMaster,
Branch CR28405 is TESTED.
(0064481)
git (administrator)
2017-03-20 14:34

Branch CR28405 has been deleted by inv.

SHA-1: c6697a1d00e3625e2db8893bc9cf4ffc4ffdcc63

- Related Changesets
occt: master 224f48fa
Timestamp: 2017-02-05 08:33:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028405: Visualization, V3d_Viewer - changes to Grid immediately updates view

V3d_Viewer methods ActivateGrid, DeactivateGrid, SetRectangularGridValues, SetCircularGridValues,
RectangularGridGraphicValues, CircularGridGraphicValues, SetPrivilegedPlane, DisplayPrivilegedPlane
do not redraw viewer anymore.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/V3d/V3d_Viewer_3.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer_4.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-29 23:07 dipts New Issue
2017-01-29 23:07 dipts Assigned To => kgv
2017-01-30 11:21 kgv Relationship added related to 0028088
2017-01-30 11:21 kgv Relationship added related to 0026958
2017-02-05 11:27 kgv Summary V3d_Viewer: Changes to Grid immediately updates view => Visualization, V3d_Viewer - changes to Grid immediately updates view
2017-02-05 11:33 git Note Added: 0063443
2017-02-05 11:34 kgv Note Added: 0063444
2017-02-05 11:34 kgv Assigned To kgv => bugmaster
2017-02-05 11:34 kgv Status new => resolved
2017-02-05 11:34 kgv Target Version => 7.2.0
2017-02-16 14:39 kgv Assigned To bugmaster => san
2017-02-16 15:48 san Note Added: 0063845
2017-02-16 15:48 san Assigned To san => bugmaster
2017-02-16 15:48 san Status resolved => reviewed
2017-02-16 15:49 mkv Assigned To bugmaster => mkv
2017-02-16 16:12 git Note Added: 0063849
2017-02-17 11:30 mkv Note Added: 0063868
2017-02-17 11:30 mkv Note Added: 0063869
2017-02-17 11:30 mkv Note Added: 0063870
2017-02-17 11:30 mkv Assigned To mkv => bugmaster
2017-02-17 11:30 mkv Status reviewed => tested
2017-02-17 11:32 mkv Test case number => Not needed
2017-03-03 16:25 bugmaster Changeset attached => occt master 224f48fa
2017-03-03 16:25 bugmaster Status tested => verified
2017-03-03 16:25 bugmaster Resolution open => fixed
2017-03-20 14:34 git Note Added: 0064481
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker